diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/admin.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/admin.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/admin.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/admin.php	2014-03-14 02:57:39.000000000 +0300
***************
*** 39,51 ****
  		'plugins_page_akismet-key-config', 
  		'jetpack_page_akismet-key-config',
  	) ) ) {
! 		wp_register_style( 'akismet.css', AKISMET_PLUGIN_URL . 'akismet.css', array(), '2.5.9' );
  		wp_enqueue_style( 'akismet.css');
  	
! 		wp_register_script( 'akismet.js', AKISMET_PLUGIN_URL . 'akismet.js', array('jquery'), '2.5.9' );
  		wp_enqueue_script( 'akismet.js' );
  		wp_localize_script( 'akismet.js', 'WPAkismet', array(
! 			'comment_author_url_nonce' => wp_create_nonce( 'comment_author_url_nonce' )
  		) );
  	}
  }
--- 39,58 ----
  		'plugins_page_akismet-key-config', 
  		'jetpack_page_akismet-key-config',
  	) ) ) {
! 		wp_register_style( 'akismet.css', AKISMET_PLUGIN_URL . 'akismet.css', array(), AKISMET_VERSION );
  		wp_enqueue_style( 'akismet.css');
  	
! 		wp_register_script( 'akismet.js', AKISMET_PLUGIN_URL . 'akismet.js', array('jquery'), AKISMET_VERSION );
  		wp_enqueue_script( 'akismet.js' );
  		wp_localize_script( 'akismet.js', 'WPAkismet', array(
! 			'comment_author_url_nonce' => wp_create_nonce( 'comment_author_url_nonce' ),
! 			'strings' => array(
! 				'Remove this URL' => __( 'Remove this URL' ),
! 				'Removing...' => __( 'Removing...' ),
! 				'URL removed' => __( 'URL removed' ),
! 				'(undo)' => __( '(undo)' ),
! 				'Re-adding...' => __( 'Re-adding...' ),
! 			)
  		) );
  	}
  }
***************
*** 335,345 ****
  	$path = plugin_basename(__FILE__);
  	echo '<h3>' . _x( 'Spam', 'comments' ) . '</h3>';
  	global $submenu;
! 	if ( isset( $submenu['edit-comments.php'] ) )
! 		$link = 'edit-comments.php';
! 	else
! 		$link = 'edit.php';
! 	echo '<p>'.sprintf( _n( '<a href="%1$s">Akismet</a> has protected your site from <a href="%2$s">%3$s spam comments</a>.', '<a href="%1$s">Akismet</a> has protected your site from <a href="%2$s">%3$s spam comments</a>.', $count ), 'http://akismet.com/?return=true', clean_url("$link?page=akismet-admin"), number_format_i18n($count) ).'</p>';
  }
  add_action('activity_box_end', 'akismet_stats');
  
--- 342,348 ----
  	$path = plugin_basename(__FILE__);
  	echo '<h3>' . _x( 'Spam', 'comments' ) . '</h3>';
  	global $submenu;
! 	echo '<p>'.sprintf( _n( '<a href="%1$s">Akismet</a> has protected your site from <a href="%2$s">%3$s spam comments</a>.', '<a href="%1$s">Akismet</a> has protected your site from <a href="%2$s">%3$s spam comments</a>.', $count ), 'http://akismet.com/?return=true', esc_url( add_query_arg( array( 'page' => 'akismet-admin' ), admin_url( isset( $submenu['edit-comments.php'] ) ? 'edit-comments.php' : 'edit.php' ) ) ), number_format_i18n($count) ).'</p>';
  }
  add_action('activity_box_end', 'akismet_stats');
  
***************
*** 546,556 ****
  	global $submenu, $wp_db_version;
  
  	if ( 8645 < $wp_db_version  ) // 2.7
! 		$link = 'edit-comments.php?comment_status=spam';
  	elseif ( isset( $submenu['edit-comments.php'] ) )
! 		$link = 'edit-comments.php?page=akismet-admin';
  	else
! 		$link = 'edit.php?page=akismet-admin';
  
  	if ( $count = get_option('akismet_spam_count') ) {
  		$intro = sprintf( _n(
--- 549,559 ----
  	global $submenu, $wp_db_version;
  
  	if ( 8645 < $wp_db_version  ) // 2.7
! 		$link = add_query_arg( array( 'comment_status' => 'spam' ), admin_url( 'edit-comments.php' ) );
  	elseif ( isset( $submenu['edit-comments.php'] ) )
! 		$link = add_query_arg( array( 'page' => 'akismet-admin' ), admin_url( 'edit-comments.php' ) );
  	else
! 		$link = add_query_arg( array( 'page' => 'akismet-admin' ), admin_url( 'edit.php' ) );
  
  	if ( $count = get_option('akismet_spam_count') ) {
  		$intro = sprintf( _n(
***************
*** 581,594 ****
  
  
  // For WP >= 2.5
! function akismet_check_for_spam_button($comment_status) {
  	if ( 'approved' == $comment_status )
  		return;
  	if ( function_exists('plugins_url') )
! 		$link = 'admin.php?action=akismet_recheck_queue';
  	else
! 		$link = 'edit-comments.php?page=akismet-admin&amp;recheckqueue=true&amp;noheader=true';
! 	echo "</div><div class='alignleft'><a class='button-secondary checkforspam' href='$link'>" . __('Check for Spam') . "</a>";
  }
  add_action('manage_comments_nav', 'akismet_check_for_spam_button');
  
--- 584,600 ----
  
  
  // For WP >= 2.5
! function akismet_check_for_spam_button( $comment_status ) {
  	if ( 'approved' == $comment_status )
  		return;
+ 		
  	if ( function_exists('plugins_url') )
! 		$link = add_query_arg( array( 'action' => 'akismet_recheck_queue' ), admin_url( 'admin.php' ) );
  	else
! 		$link = add_query_arg( array( 'page' => 'akismet-admin', 'recheckqueue' => 'true', 'noheader' => 'true' ), admin_url( 'edit-comments.php' ) );	
! 		
! 	echo '</div><div class="alignleft"><a class="button-secondary checkforspam" href="' . $link . '">' . esc_html__('Check for Spam') . '</a>';
! 	echo '<img src="' . esc_url( admin_url( 'images/wpspin_light.gif' ) ) . '" class="checkforspam-spinner" />';
  }
  add_action('manage_comments_nav', 'akismet_check_for_spam_button');
  
***************
*** 771,778 ****
  
  	if ( ! ( isset( $_GET['recheckqueue'] ) || ( isset( $_REQUEST['action'] ) && 'akismet_recheck_queue' == $_REQUEST['action'] ) ) )
  		return;
! 		
! 	$moderation = $wpdb->get_results( "SELECT * FROM $wpdb->comments WHERE comment_approved = '0'", ARRAY_A );
  	foreach ( (array) $moderation as $c ) {
  		$c['user_ip']    = $c['comment_author_IP'];
  		$c['user_agent'] = $c['comment_agent'];
--- 777,788 ----
  
  	if ( ! ( isset( $_GET['recheckqueue'] ) || ( isset( $_REQUEST['action'] ) && 'akismet_recheck_queue' == $_REQUEST['action'] ) ) )
  		return;
! 					
! 	$paginate = ''; 
! 	if ( isset( $_POST['limit'] ) && isset( $_POST['offset'] ) ) { 
! 		$paginate = $wpdb->prepare( " LIMIT %d OFFSET %d", array( $_POST['limit'], $_POST['offset'] ) ); 
!  	} 
!  	$moderation = $wpdb->get_results( "SELECT * FROM {$wpdb->comments} WHERE comment_approved = '0'{$paginate}", ARRAY_A );
  	foreach ( (array) $moderation as $c ) {
  		$c['user_ip']    = $c['comment_author_IP'];
  		$c['user_agent'] = $c['comment_agent'];
***************
*** 780,786 ****
  		$c['blog']       = get_bloginfo('url');
  		$c['blog_lang']  = get_locale();
  		$c['blog_charset'] = get_option('blog_charset');
! 		$c['permalink']  = get_permalink($c['comment_post_ID']);
  
  		$c['user_role'] = '';
  		if ( isset( $c['user_ID'] ) )
--- 790,796 ----
  		$c['blog']       = get_bloginfo('url');
  		$c['blog_lang']  = get_locale();
  		$c['blog_charset'] = get_option('blog_charset');
! 		$c['permalink']    = get_permalink($c['comment_post_ID']);
  
  		$c['user_role'] = '';
  		if ( isset( $c['user_ID'] ) )
***************
*** 815,826 ****
  
  		delete_comment_meta( $c['comment_ID'], 'akismet_rechecking' );
  	}
! 	$redirect_to = isset( $_SERVER['HTTP_REFERER'] ) ? $_SERVER['HTTP_REFERER'] : admin_url( 'edit-comments.php' );
! 	wp_safe_redirect( $redirect_to );
! 	exit;
  }
  
  add_action('admin_action_akismet_recheck_queue', 'akismet_recheck_queue');
  
  // Adds an 'x' link next to author URLs, clicking will remove the author URL and show an undo link
  function akismet_remove_comment_author_url() {
--- 825,844 ----
  
  		delete_comment_meta( $c['comment_ID'], 'akismet_rechecking' );
  	}
! 	if ( defined( 'DOING_AJAX' ) && DOING_AJAX ) { 
!  		wp_send_json( array( 
!  			'processed' => count((array) $moderation), 
!  		)); 
!  	} 
!  	else { 
!  		$redirect_to = isset( $_SERVER['HTTP_REFERER'] ) ? $_SERVER['HTTP_REFERER'] : admin_url( 'edit-comments.php' ); 
!  		wp_safe_redirect( $redirect_to ); 
!  		exit; 
!  	}
  }
  
  add_action('admin_action_akismet_recheck_queue', 'akismet_recheck_queue');
+ add_action('wp_ajax_akismet_recheck_queue', 'akismet_recheck_queue');
  
  // Adds an 'x' link next to author URLs, clicking will remove the author URL and show an undo link
  function akismet_remove_comment_author_url() {
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/akismet.js /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.js
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/akismet/akismet.js	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/akismet/akismet.js	2014-03-14 02:57:39.000000000 +0300
***************
*** 1,114 ****
! jQuery(document).ready(function () {
! 	jQuery( '.switch-have-key' ).click( function() {
! 		var no_key = jQuery( this ).parents().find('div.no-key');		
! 		var have_key = jQuery( this ).parents().find('div.have-key');
  		
  		no_key.addClass( 'hidden' );
  		have_key.removeClass( 'hidden' );		
  		
  		return false;
  	});
! 	jQuery( 'p.need-key a' ).click( function(){
  		document.akismet_activate.submit();
  	});
! 	jQuery('.akismet-status').each(function () {
! 		var thisId = jQuery(this).attr('commentid');
! 		jQuery(this).prependTo('#comment-' + thisId + ' .column-comment div:first-child');
! 	});
! 	jQuery('.akismet-user-comment-count').each(function () {
! 		var thisId = jQuery(this).attr('commentid');
! 		jQuery(this).insertAfter('#comment-' + thisId + ' .author strong:first').show();
! 	});
! 	jQuery('#the-comment-list tr.comment .column-author a[title ^= "http://"]').each(function () {
!  		var thisTitle = jQuery(this).attr('title');
!  		    thisCommentId = jQuery(this).parents('tr:first').attr('id').split("-");
   		
!  		jQuery(this).attr("id", "author_comment_url_"+ thisCommentId[1]);
   		
   		if (thisTitle) {
!  			jQuery(this).after(' <a href="#" class="remove_url" commentid="'+ thisCommentId[1] +'" title="Remove this URL">x</a>');
   		}
   	});
!  	jQuery('.remove_url').live('click', function () {
!  		var thisId = jQuery(this).attr('commentid');
   		var data = {
   			action: 'comment_author_deurl',
  			_wpnonce: WPAkismet.comment_author_url_nonce,
   			id: thisId
   		};
!  		jQuery.ajax({
  		    url: ajaxurl,
  		    type: 'POST',
  		    data: data,
  		    beforeSend: function () {
  		        // Removes "x" link
! 	 			jQuery("a[commentid='"+ thisId +"']").hide();
  	 			// Show temp status
! 		        jQuery("#author_comment_url_"+ thisId).html('<span>Removing...</span>');
  		    },
  		    success: function (response) {
  		        if (response) {
  	 				// Show status/undo link
! 	 				jQuery("#author_comment_url_"+ thisId).attr('cid', thisId).addClass('akismet_undo_link_removal').html('<span>URL removed (</span>undo<span>)</span>');
! 	 			}
  		    }
  		});
  
   		return false;
   	});
!  	jQuery('.akismet_undo_link_removal').live('click', function () {
!  		var thisId = jQuery(this).attr('cid');
! 		var thisUrl = jQuery(this).attr('href').replace("http://www.", "").replace("http://", "");
   		var data = {
   			action: 'comment_author_reurl',
  			_wpnonce: WPAkismet.comment_author_url_nonce,
   			id: thisId,
   			url: thisUrl
   		};
! 		jQuery.ajax({
  		    url: ajaxurl,
  		    type: 'POST',
  		    data: data,
  		    beforeSend: function () {
  	 			// Show temp status
! 		        jQuery("#author_comment_url_"+ thisId).html('<span>Re-adding…</span>');
  		    },
  		    success: function (response) {
  		        if (response) {
  	 				// Add "x" link
! 					jQuery("a[commentid='"+ thisId +"']").show();
  					// Show link
! 					jQuery("#author_comment_url_"+ thisId).removeClass('akismet_undo_link_removal').html(thisUrl);
  	 			}
  		    }
  		});
   		
   		return false;
   	});
!  	jQuery('a[id^="author_comment_url"]').mouseover(function () {
  		var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
  		// Need to determine size of author column
! 		var thisParentWidth = jQuery(this).parent().width();
  		// It changes based on if there is a gravatar present
! 		thisParentWidth = (jQuery(this).parent().find('.grav-hijack').length) ? thisParentWidth - 42 + 'px' : thisParentWidth + 'px';
! 		if (jQuery(this).find('.mShot').length == 0 && !jQuery(this).hasClass('akismet_undo_link_removal')) {
! 			var thisId = jQuery(this).attr('id').replace('author_comment_url_', '');
! 			jQuery('.widefat td').css('overflow', 'visible');
! 			jQuery(this).css('position', 'relative');
! 			var thisHref = jQuery.URLEncode(jQuery(this).attr('href'));
! 			jQuery(this).append('<div class="mShot mshot-container" style="left: '+thisParentWidth+'"><div class="mshot-arrow"></div><img src="'+wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450" width="450" class="mshot-image_'+thisId+'" style="margin: 0;" /></div>');
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=2');
  			}, 6000);
  			setTimeout(function () {
! 				jQuery('.mshot-image_'+thisId).attr('src', wpcomProtocol+'s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=3');
  			}, 12000);
  		} else {
! 			jQuery(this).find('.mShot').css('left', thisParentWidth).show();
  		}
  	}).mouseout(function () {
! 		jQuery(this).find('.mShot').hide();
  	});
  });
  // URL encode plugin
  jQuery.extend({URLEncode:function(c){var o='';var x=0;c=c.toString();var r=/(^[a-zA-Z0-9_.]*)/;
--- 1,154 ----
! jQuery( function ( $ ) {
! 	$( '.switch-have-key' ).click( function() {
! 		var no_key = $( this ).parents().find('div.no-key');		
! 		var have_key = $( this ).parents().find('div.have-key');
  		
  		no_key.addClass( 'hidden' );
  		have_key.removeClass( 'hidden' );		
  		
  		return false;
  	});
! 	$( 'p.need-key a' ).click( function(){
  		document.akismet_activate.submit();
  	});
! 	$('.akismet-status').each(function () {
! 		var thisId = $(this).attr('commentid');
! 		$(this).prependTo('#comment-' + thisId + ' .column-comment div:first-child');
! 	});
! 	$('.akismet-user-comment-count').each(function () {
! 		var thisId = $(this).attr('commentid');
! 		$(this).insertAfter('#comment-' + thisId + ' .author strong:first').show();
! 	});
! 	$('#the-comment-list').find('tr.comment, tr[id ^= "comment-"]').find('.column-author a[title ^= "http://"]').each(function () {
!  		var thisTitle = $(this).attr('title');
!  		    thisCommentId = $(this).parents('tr:first').attr('id').split("-");
   		
!  		$(this).attr("id", "author_comment_url_"+ thisCommentId[1]);
   		
   		if (thisTitle) {
!  			$(this).after(
! 				$( '<a href="#" class="remove_url">x</a>' )
! 					.attr( 'commentid', thisCommentId[1] )
! 					.attr( 'title', WPAkismet.strings['Remove this URL'] )
! 			);
   		}
   	});
!  	$('.remove_url').live('click', function () {
!  		var thisId = $(this).attr('commentid');
   		var data = {
   			action: 'comment_author_deurl',
  			_wpnonce: WPAkismet.comment_author_url_nonce,
   			id: thisId
   		};
!  		$.ajax({
  		    url: ajaxurl,
  		    type: 'POST',
  		    data: data,
  		    beforeSend: function () {
  		        // Removes "x" link
! 	 			$("a[commentid='"+ thisId +"']").hide();
  	 			// Show temp status
! 		        $("#author_comment_url_"+ thisId).html( $( '<span/>' ).text( WPAkismet.strings['Removing...'] ) );
  		    },
  		    success: function (response) {
  		        if (response) {
  	 				// Show status/undo link
! 	 				$("#author_comment_url_"+ thisId)
! 						.attr('cid', thisId)
! 						.addClass('akismet_undo_link_removal')
! 						.html(
! 							$( '<span/>' ).text( WPAkismet.strings['URL removed'] )
! 						)
! 						.append( ' ' )
! 						.append(
! 							$( '<span/>' )
! 								.text( WPAkismet.strings['(undo)'] )
! 								.addClass( 'akismet-span-link' )
! 						);
! 				}
  		    }
  		});
  
   		return false;
   	});
!  	$('.akismet_undo_link_removal').live('click', function () {
!  		var thisId = $(this).attr('cid');
! 		var thisUrl = $(this).attr('href').replace("http://www.", "").replace("http://", "");
   		var data = {
   			action: 'comment_author_reurl',
  			_wpnonce: WPAkismet.comment_author_url_nonce,
   			id: thisId,
   			url: thisUrl
   		};
! 		$.ajax({
  		    url: ajaxurl,
  		    type: 'POST',
  		    data: data,
  		    beforeSend: function () {
  	 			// Show temp status
! 		        $("#author_comment_url_"+ thisId).html( $( '<span/>' ).text( WPAkismet.strings['Re-adding...'] ) );
  		    },
  		    success: function (response) {
  		        if (response) {
  	 				// Add "x" link
! 					$("a[commentid='"+ thisId +"']").show();
  					// Show link
! 					$("#author_comment_url_"+ thisId).removeClass('akismet_undo_link_removal').html(thisUrl);
  	 			}
  		    }
  		});
   		
   		return false;
   	});
! 	$('a[id^="author_comment_url"], tr.pingback td.column-author a:first-of-type').mouseover(function () {
  		var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
  		// Need to determine size of author column
! 		var thisParentWidth = $(this).parent().width();
  		// It changes based on if there is a gravatar present
! 		thisParentWidth = ($(this).parent().find('.grav-hijack').length) ? thisParentWidth - 42 + 'px' : thisParentWidth + 'px';
! 		if ($(this).find('.mShot').length == 0 && !$(this).hasClass('akismet_undo_link_removal')) {
! 			var self = $( this );
! 			$('.widefat td').css('overflow', 'visible');
! 			$(this).css('position', 'relative');
! 			var thisHref = $.URLEncode( $(this).attr('href') );
! 			$(this).append('<div class="mShot mshot-container" style="left: '+thisParentWidth+'"><div class="mshot-arrow"></div><img src="//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450" width="450" class="mshot-image" style="margin: 0;" /></div>');
  			setTimeout(function () {
! 				self.find( '.mshot-image' ).attr('src', '//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=2');
  			}, 6000);
  			setTimeout(function () {
! 				self.find( '.mshot-image' ).attr('src', '//s0.wordpress.com/mshots/v1/'+thisHref+'?w=450&r=3');
  			}, 12000);
  		} else {
! 			$(this).find('.mShot').css('left', thisParentWidth).show();
  		}
  	}).mouseout(function () {
! 		$(this).find('.mShot').hide();
  	});
+ 	$('.checkforspam:not(.button-disabled)').click( function(e) { 
+  	    $('.checkforspam:not(.button-disabled)').addClass('button-disabled'); 
+  		$('.checkforspam-spinner').show(); 
+  		akismet_check_for_spam(0, 100); 
+  		e.preventDefault(); 
+  	});
+ 	
+ 	function akismet_check_for_spam(offset, limit) { 
+ 		$.post( 
+ 			ajaxurl, 
+ 			{ 
+ 				'action': 'akismet_recheck_queue', 
+ 				'offset': offset, 
+ 				'limit': limit 
+ 			}, 
+ 			function(result) { 
+ 				if (result.processed < limit) { 
+ 					window.location.reload(); 
+ 				} 
+ 				else { 
+ 					akismet_check_for_spam(offset + limit, limit); 
+ 				} 
+ 			} 
+ 		); 
+ 	}
  });
  // URL encode plugin
  jQuery.extend({URLEncode:function(c){var o='';var x=0;c=c.toString();var r=/(^[a-zA-Z0-9_.]*)/;
***************
*** 117,126 ****
      }else{if(c[x]==' ')o+='+';else{var d=c.charCodeAt(x);var h=d.toString(16);
      o+='%'+(h.length<2?'0':'')+h.toUpperCase();}x++;}}return o;}
  });
- // Preload mshot images after everything else has loaded
- jQuery(window).load(function() {
- 	var wpcomProtocol = ( 'https:' === location.protocol ) ? 'https://' : 'http://';
- 	jQuery('a[id^="author_comment_url"]').each(function () {
- 		jQuery.get(wpcomProtocol+'s0.wordpress.com/mshots/v1/'+jQuery.URLEncode(jQuery(this).attr('href'))+'?w=450');
- 	});
- });
--- 157,159 ----
